Bug 428781 - Undefined method error
Undefined method error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby-gnome2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Allisson Azevedo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 01:26 EST by Deji Akingunola
Modified: 2008-01-27 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.16.0-19.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 02:09:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the bug (350 bytes, patch)
2008-01-15 01:26 EST, Deji Akingunola
no flags Details | Diff

  None (edit)
Description Deji Akingunola 2008-01-15 01:26:20 EST
Description of problem: I'm trying to package gruler for fedora
(ftp://czar.eas.yorku.ca/pub/gruler); however running the program fails due to a
bug in ruby-gnome2, as shown below;
<<
 [deji@agape gruler-0.8]$ ./gruler.rb 
Loading libraries...
Connecting to GConf...
Creating windows...
/usr/lib/ruby/site_ruby/1.8/libglade2.rb:105:in `guard_source_from_gc':
undefined method `signal_connect' for nil:NilClass (NoMethodError)
        from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:98:in `guard_sources_from_gc'
        from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:97:in `each'
        from /usr/lib/ruby/site_ruby/1.8/libglade2.rb:97:in `guard_sources_from_gc'
        from ./utils/glade_window.rb:32:in `initialize'
        from ./utils/glade_window.rb:32:in `new'
        from ./utils/glade_window.rb:32:in `initialize'
        from ./preferences_window.rb:26:in `initialize'
        from ./gruler.rb:61:in `new'
        from ./gruler.rb:61
>>>
Fortunately, this bug has been reported upstream (ruby-gnome2) and fixed in the
svn revision 2353, with the attached simple patch.
Please apply it in the Fedora package. Thanks

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deji Akingunola 2008-01-15 01:26:20 EST
Created attachment 291687 [details]
Fix for the bug
Comment 2 Deji Akingunola 2008-01-26 10:23:02 EST
Mamoru,

Looking through the changelogs for the package, I noticed you've been working on
it lately. I wonder if Allisson Azevedo is not available right now and you're
probably deputing for him in the meantime. Can you please take care of this bug
for me? Thanks.
Comment 4 Allisson Azevedo 2008-01-26 12:28:18 EST
Hi, i will fix this :]
Comment 5 Fedora Update System 2008-01-26 13:19:27 EST
ruby-gnome2-0.16.0-19.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-01-26 13:47:19 EST
ruby-gnome2-0.16.0-20.fc7 has been submitted as an update for Fedora 7
Comment 7 Allisson Azevedo 2008-01-26 13:51:03 EST
Rawhide Build: http://koji.fedoraproject.org/koji/buildinfo?buildID=33047
Comment 8 Fedora Update System 2008-01-27 02:09:45 EST
ruby-gnome2-0.16.0-19.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-01-27 02:23:45 EST
ruby-gnome2-0.16.0-20.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Deji Akingunola 2008-01-27 09:31:38 EST
(In reply to comment #4)
> Hi, i will fix this :]

Thanks Allisson.

Note You need to log in before you can comment on or make changes to this bug.